Kryptronic Software Support Forum

You are viewing this forum as a guest. Login to an existing account, or create a new account, to reply to topics and to create new topics.

#1 01-14-2017 12:19:19

Shopper
Member
Registered: 09-10-2007
Posts: 94

upgrade to php 5.6 breaks mail script

I had to upgrade php54 to php56 on a server running centos 6.8 and EuropaCart 8.0.7. This broke the mail system of the shops and the download system.

When I manually send internal mail and customer mail I get the following error:

------------------------------------------------------------------------------------------------------------------------------------

Script Execution Error

Non-static method PEAR::isError() should not be called statically, assuming $this from incompatible context
File: /pear/Mail/smtp.php Line: 225 Error Number: 8192

Deprecated: Non-static method PEAR::isError() should not be called statically, assuming $this from incompatible context in /home/www/xcp8en-private/pear/Net/SMTP.php on line 331 Deprecated: Non-static method PEAR::isError() should not be called statically, assuming $this from incompatible context in /home/www/xcp8en-private/pear/Net/SMTP.php on line 169 Deprecated: Non-static method PEAR::raiseError() should not be called statically, assuming $this from incompatible context in /home/www/xcp8en-private/pear/Net/SMTP.php on line 170

------------------------------------------------------------------------------------------------------------------------------------

When I tried to run the installer.php until the mail configuration I got the same error message.

Also the download file for a downloadable product is not copied into the public download folder anymore.

Can this be fixed in EuropaCart or do I have to downgrade php56 to php54?

Offline

 

#2 01-14-2017 13:23:40

webmaster
Administrator
From: York, PA
Registered: 04-20-2001
Posts: 19557
Website

Re: upgrade to php 5.6 breaks mail script

This is a known issue with PHP 5.6.  When running your installer, when prompted to install/update PEAR modules, do so.  That should prevent the error.


Nick Hendler

Offline

 

#3 01-15-2017 14:01:45

Shopper
Member
Registered: 09-10-2007
Posts: 94

Re: upgrade to php 5.6 breaks mail script

I hatd to make a complete re-install of the PEAR modules (overwrite all files) and then continued to the mail configuration (smtp server) where I got the following error:


An error was encountered while sending the mail message over the Mail connection. Error Information: Failed to add recipient: reg@kryptronic.com [SMTP: Invalid response code received from server (code: 554, response: 5.7.1 <reg@kryptronic.com>: Recipient address rejected: Access denied)]


Despite this error message both shops are working again.

Thank you.

Last edited by Shopper (01-15-2017 14:19:38)

Offline

 

#4 01-16-2017 08:44:19

webmaster
Administrator
From: York, PA
Registered: 04-20-2001
Posts: 19557
Website

Re: upgrade to php 5.6 breaks mail script

It just failed sending the registration email.  No worries there, but you may have issues with emails sending from any address other than @yourdomain.  If that's the case, you won't get orders, etc.  You may need to change the FROM address for all mails under System / Mail / Mail Messages.  Look out for that.


Nick Hendler

Offline

 

#5 01-17-2017 10:02:27

Shopper
Member
Registered: 09-10-2007
Posts: 94

Re: upgrade to php 5.6 breaks mail script

Since the update of the PEAR module orders are coming in again. Everything seems to work again.

Offline

 

Board footer